Fortael Fortael - 2 months ago 36
Node.js Question

Stylus jeet doesn't work anymore

In one single day i got this error. It doesn't work anymore for me.

gulpfile.js

var gulp = require('gulp'),
stylus = require('gulp-stylus'),
jeet = require('jeet');

gulp.task('default', function () {

gulp.src('assets/*.styl')
.pipe(stylus({
use: [ jeet() ]
}))
.pipe(gulp.dest('assets/'));
});


theme.styl

@import "jeet"

.page
span(1/2)





failed to locate @import file jeet.styl


Full error – http://pastebin.com/KuZ4ZPwK

Answer
npm i github:mojotech/jeet#master --save-dev

or

npm i jeet@6.1.2 --save-dev

[GitHub] Jeet 6.1.4 + Stylus doesn't work #494